/*------------------------------------------------------------------------------------
*  zetsubou ver1.3.3
*  author ASANO Hidemitsu
*  Faculty of Science ,Kyoto university
*  Last Modified 2008/2/3 02:18
*  This library is for analysis of expreriment in P3 2007 graduate research 
-------------------------------------------------------------------------------------*/
#include "zetsubou.h"
#include "StyleDef.h"
#include "Draw.h"
#include "FitFunctionDef.h"
#include "ExecuteFit.h"
#include "TextBox.h"
#include "Tspfit.h"

#if !defined(__CINT__)
ClassImp(zetsubou);
#endif

zetsubou::zetsubou()//Constructor
{
  currentfname="";
  hist=0;
  scat=0;
  tr=0;
  func=0;
  canvas=0;
  Tsp=0;
  tpt=0;
  fitlinecolor=3;//1:black 2:red 3:bright green 4:britht blue 5:yellow 6:hot pink 7:aqua 8:green 9:blue
  Hist_canvas_width = 700; 
  Hist_canvas_length = 600;
  Scat_canvas_width = 800;
  Scat_canvas_length = 700;
  SetHistStyle();
  whichstyle=HIST;//Histstyle
}

zetsubou::~zetsubou()//Destructor
{
  delete tr;
  delete hist;
  delete tpt;
  delete canvas;
  delete Tsp;
  TRandom *r3 = new TRandom3(0);//based on the Mersenne and Twister pseudo-random number generator,
						//and here seed is generated using machine clock
  Double_t kittiri = r3->Rndm();
  if(kittiri < 0.25) 
  {
	std::cout << "" << std::endl;	
	std::cout << "次回も絶望しよう！" << std::endl;
	std::cout << "" << std::endl;
  }	
  if(0.25 <= kittiri && kittiri < 0.50)
  {
	std::cout << "" << std::endl;	
	std::cout << "トンネルを抜けるとトンネルだった。" << std::endl;
	std::cout << "そのトンネルを抜けると、またトンネルだった。" << std::endl;
	std::cout << "そのまたトンネルを抜けると、またまたトンネルだった。" << std::endl;
	std::cout << "どこまでもどこまでもトンネルトンネルずーっとトンネル、" << std::endl;
	std::cout << "私の人生。" << std::endl;
	std::cout << "トンネルを抜けるをトンネルだった。" << std::endl;
	std::cout << "" << std::endl;
  }
  if(0.50 <= kittiri && kittiri < 0.75)
  { 
	std::cout << "" << std::endl;	
	std::cout << "今朝も中央線が止まりましたね 別に深い意味はありません" <<std::endl;
	std::cout << "" <<std::endl;
  }
  if(0.75 <= kittiri)
  {
	std::cout << "" << std::endl;
	std::cout << "希望なんてない  世の中にあるのは絶望だけです！" << std::endl;
	std::cout << "" << std::endl; 
  }  
 delete r3;
}

